Subject: Concerns.

From: Steven Ericsson Zenith <[email-masked]>
Date: Thu, 4 Feb 93 18:56:00 -0600

I have to agree with Steve Otto and confess more than a little anxiety
at this end. It seems to me that we are much too concerned with being
all things to all men and I am absolutely convinced that a mix and match
philosophy is a recipe for disaster: not that it can't be implemented or
specified but purely from the usability point of view. We should be able
to provide more wizardly and wise power by providing less not more!

We would do better to ensure that the issues we address are those that
we all currently understand well or that we have time to defer to assure
ourselves that new forms or compositions are at least well concieved.
The latter is impossible in the six months we have allotted ourselves.

If we really want people to use MPI it has to be straight forward and at
least no more complex than existing systems.

If we can't decide on a *concise* set of wisely restricted forms for
send and recieve, if you really believe we have to provide all forms,
then I suggest this effort may be premature.

Steven